# Drone-netlify

![Netlify logo](netlify.png?raw=true "netlify.com")

> Deploying to [Netlify](https://netlify.com) with [Drone](https://drone.io) CI.

[![Docker Pulls](https://img.shields.io/docker/pulls/internetmat/drone-netlify.svg)](https://hub.docker.com/r/internetmat/drone-netlify/)

Use case examples:

- Automatically create staging deployments for pull requests
- Automatically deploy and alias upon pushes to master

## Usage

For the usage information and a listing of the available options please take a look at [the docs](DOCS.md).

There are two ways to deploy.

### From docker

Deploy the working directory to Netlify.

```bash
docker run --rm \
  -e PLUGIN_TOKEN=$NETLIFY_TOKEN \
  -e PLUGIN_SITE=my-netlify-site \
  -v $(pwd):$(pwd) \
  -w $(pwd) \
  internetmat/drone-netlify
```

### From Drone CI

```yaml
pipeline:
  netlify:
    image: internetmat/drone-netlify
    settings:
      token:
        from_secret: netlify_token
      site:
        from_secret: netlify_site_id
```
